Once you've created your vendor's account, you can use the Update Vendor request at any time to add additional information (such as missing KYC information for vendor onboarding) or update existing information (such as email, payout information, commission rate, and more).
For more information, refer to the JSON and XML Update Vendor API references.
Modifiable Vendor Account Properties
Any of the following properties may be updated:
- Vendor address
- Vendor company name
- Vendor email
- Vendor first and last name
- Vendor business name
- Vendor phone
- Vendor principal
- Vendor agreement
- Vendor payout (including frequency and delay)
Make Sure Your Vendor is Eligible for Payout
- To be eligible for payout, make sure all necessary vendor information has been submitted to BlueSnap and the vendor has been included with at least one transaction.
- Make sure all the documentation you receive from your vendor and send to us is clear, legible, valid, and current.
Updating Vendor Properties and Changes to Payout Status
Once your vendor’s payout status has been approved, updating certain properties (listed below) results in their payout status changing to Pending or Incomplete, as this information requires BlueSnap's review. Be aware that your vendor’s payout is suspended until their payout status is approved.
vendorfirstName, lastName, name
vendorPrincipalcountry, driverLicenseNumber, firstName, lastName, passportNumber, personalIdentificationNumber
vendorAgreementaccountStatus when value is changed from inactive to active
bankDetails (part of payoutConfiguration)accountId, achAccountClass, achAccountType, bankId, bankName, bic, city, country, iban, nameOnAccount, state
How It Works
Include the vendor ID in the API endpoint of the request such as in https://sandbox.bluesnap.com/services/2/vendors/19575974
In the body of the request, add additional vendor account properties or update existing ones. The below example updates a vendor with a vendor ID of 514147. It changes the Commission Percent property to 45, meaning that this vendor now receives 45 percent of the funds for a sale.
curl -v -X PUT https://sandbox.bluesnap.com/services/2/vendors/514147 \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"email": "[email protected]",
"firstName": "Joe",
"lastName": "Smith",
"phone": "1-123-456-7890",
"address": "123 Main Street",
"city": "Boston",
"country": "US",
"state": "MA",
"zip": "123456",
"ipnUrl": "https://merchant-domain.com/ipn",
"vendorPrincipal": {
"firstName": "Joe",
"lastName": "Smith",
"address": "123 Main Street",
"city": "Boston",
"country": "US",
"zip": "123456",
"dob": "28-09-9999",
"personalIdentificationNumber": "1234",
"driverLicenseNumber": "7676234872122",
"email": "[email protected]"
},
"vendorAgreement": {
"commissionPercent": "45",
"accountStatus": "ACTIVE"
},
"payoutConfiguration": {
"defaultLegalEntity": "US",
"regions": [
{
"region": "US",
"defaultCurrency": "USD",
"currencyByRegion": [
{
"currencyCode": "USD",
"payoutPaymentType": "ACH",
"minimumPaymentAmount": 25,
"bankDetails": [
{
"country": "US",
"state": "MA",
"city": "Juneau",
"address1": "1 bank address",
"zipCode": "12345",
"paymentReference": "Payment for vendor 1234",
"bankId": "123456789",
"bankName": "Leumi",
"accountId": "36628822",
"nameOnAccount": "vendor",
"achAccountClass": "PERSONAL",
"achAccountType": "CHECKING"
}
]
}
]
}
]
}
}'curl -v -X PUT https://sandbox.bluesnap.com/services/2/vendors/514147 \
-H 'Content-Type: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
<vendor xmlns="http://ws.plimus.com">
<email>[email protected]</email>
<firstName>Joe</firstName>
<lastName>Smith</lastName>
<phone>1-123-456-7890</phone>
<address>123 Main Street</address>
<city>Boston</city>
<country>US</country>
<state>MA</state>
<zip>123456</zip>
<ipnUrl>https://merchant-domain.com/ipn</ipnUrl>
<vendorPrincipal>
<firstName>Joe</firstName>
<lastName>Smith</lastName>
<address>123 Main Street</address>
<city>Boston</city>
<country>US</country>
<zip>123456</zip>
<dob>28-09-9999</dob>
<personalIdentificationNumber>1234</personalIdentificationNumber>
<driverLicenseNumber>7676234872122</driverLicenseNumber>
<email>[email protected]</email>
</vendorPrincipal>
<vendorAgreement>
<commissionPercent>45</commissionPercent>
<accountStatus>ACTIVE</accountStatus>
</vendorAgreement>
<payoutConfiguration>
<defaultLegalEntity>US</defaultLegalEntity>
<regions>
<region>US</region>
<defaultCurrency>USD</defaultCurrency>
<currencyByRegion>
<currencyCode>USD</currencyCode>
<payoutPaymentType>ACH</payoutPaymentType>
<minimumPaymentAmount>25</minimumPaymentAmount>
<bankDetails>
<country>US</country>
<state>MA</state>
<city>Juneau</city>
<address1>1 bank address</address1>
<zipCode>12345</zipCode>
<paymentReference>Payment for vendor 1234</paymentReference>
<bankId>123456789</bankId>
<bankName>Leumi</bankName>
<accountId>36628822</accountId>
<nameOnAccount>vendor</nameOnAccount>
<achAccountClass>PERSONAL</achAccountClass>
<achAccountType>CHECKING</achAccountType>
</bankDetails>
</currencyByRegion>
</regions>
</payoutConfiguration>
</vendor>'Retrieving the Vendor account
Use the Retrieve Vendor request to get the vendor's account information, which you can use to build up the Update Vendor request body.
Next Step: Process Transactions
Now that you've learned how to update your vendor's account, you're ready to start processing transactions on your vendor's behalf.
